Page MenuHomePhabricator

Not receiving notifications for new topics on talk pages
Closed, ResolvedPublic

Description

My talk page (https://he.wikipedia.org/wiki/%D7%A9%D7%99%D7%97%D7%AA_%D7%9E%D7%A9%D7%AA%D7%9E%D7%A9:Matanya) has a message from tech news, but that message doesn't show in special:notification and i didn't get any echo notification for it, People also let me know i was mentioned, but never got any notification about that too.

My last notification was 5 days ago.

Event Timeline

Matanya created this task.Apr 5 2016, 7:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 5 2016, 7:25 PM
Mattflaschen-WMF renamed this task from Not receiving notifications for messages on my talk page/mentions to Not receiving notifications for new topics on talk pages.Apr 6 2016, 9:28 PM

Please file the mention one separately with an example diff of where someone pinged you but you didn't receive it. That is probably an unrelated cause.

Change 282058 had a related patch set uploaded (by Mattflaschen):
Fix new topic notifications

https://gerrit.wikimedia.org/r/282058

Change 282058 merged by jenkins-bot:
Fix new topic notifications

https://gerrit.wikimedia.org/r/282058

Change 282073 had a related patch set uploaded (by Mattflaschen):
Fix new topic notifications

https://gerrit.wikimedia.org/r/282073

Change 282074 had a related patch set uploaded (by Mattflaschen):
Fix new topic notifications

https://gerrit.wikimedia.org/r/282074

Change 282073 merged by jenkins-bot:
Fix new topic notifications

https://gerrit.wikimedia.org/r/282073

Change 282074 merged by jenkins-bot:
Fix new topic notifications

https://gerrit.wikimedia.org/r/282074

This fix has been deployed to everywhere in production.

Note: the same issue was filed as a regression bug - T131713: [betalabs] Regression: flowusertalk-new-topic does not send notification

Checked in betalabas & test.

@Matanya - Mentions seem to be ok. However, mentions do not come from a topic Summary.

@Matanya - Mentions seem to be ok. However, mentions do not come from a topic Summary.

They should (T125427). Can you file separately?

I now get mentions too, for some reason. notifications for new topic are working too.

I now get mentions too, for some reason. notifications for new topic are working too.

My mistake. If the mention was part of the creation of the new topic, it would have been affected.

jmatazzoni closed this task as Resolved.Apr 8 2016, 7:01 PM